Main Page Alphabetical List Data Structures File List Data Fields Globals

# foreign.c File Reference

## Functions
void | wmf_foreign_function (wmfAPI *API)
int | wmf_image_load_png (wmfAPI *API, FILE *png_in, wmfImage *image)
int | wmf_image_load_jpg (wmfAPI *API, FILE *jpg_in, wmfImage *image)
int | wmf_image_save_eps (wmfAPI *API, FILE *file, wmfImage *image)
void | wmf_image_free (wmfAPI *API, wmfImage *image)

## Function Documentation

void wmf_foreign_function | ( | wmfAPI * | API | ) |

void wmf_image_free | ( | wmfAPI * | API,
|  | wmfImage * | image
| ) |

int wmf_image_load_jpg | ( | wmfAPI * | API,
|  | FILE * | jpg_in,
|  | wmfImage * | image
| ) |

int wmf_image_load_png | ( | wmfAPI * | API,
|  | FILE * | png_in,
|  | wmfImage * | image
| ) |

int wmf_image_save_eps | ( | wmfAPI * | API,
|  | FILE * | file,
|  | wmfImage * | image
| ) |